<script type="text/javascript" src="{@RELATIVE_WBB_DIR}js/ThreadMarkAsRead.class.js"></script>

<table class="boardRecentList tableList">
	<tbody>
		{foreach from=$threads item=thread}
			{assign var=threadID value=$thread->threadID}
			<tr class="container-{cycle values='1,2'}">
				<td class="columnIcon">
					<img src="{if $thread->board->image && !$thread->board->imageShowAsBackground}{$thread->board->image}{else}{icon}boardM.png{/icon}{/if}" alt="" />
				</td>
				
				<td class="columnTopic" style="width: 25%">
					<p><a href="index.php?page=Board&amp;boardID={@$thread->boardID}{@SID_ARG_2ND}">{lang}{$thread->board->title}{/lang}</a></p>
				</td>
				
				<td class="columnIcon">
					<img id="threadEdit{@$thread->threadID}" src="{icon}{@$thread->getIconName()}M.png{/icon}" alt="" {if $thread->isNew()}title="{lang}wbb.thread.markAsReadByDoubleClick{/lang}" {/if}/>
					{if $thread->isNew()}
						<script type="text/javascript">
							//<![CDATA[
							threadMarkAsRead.init({@$thread->threadID});
							//]]>
						</script>
					{/if}	
				</td>
					
				<td class="columnTopic" style="width: 50%">
					<div id="thread{@$thread->threadID}" class="topic{if $thread->isNew()} new{/if}{if $thread->ownPosts || $thread->subscribed} interesting{/if}">
						{if $thread->isNew()}
							<a id="gotoFirstNewPost{@$thread->threadID}" href="index.php?page=Thread&amp;threadID={@$thread->threadID}&amp;action=firstNew{@SID_ARG_2ND}"><img class="goToNewPost" src="{icon}goToFirstNewPostS.png{/icon}" alt="" title="{lang}wbb.index.gotoFirstNewPost{/lang}" /></a>
						{/if}
						
						<p id="threadTitle{@$thread->threadID}">
							<span class="prefix"><strong>{lang}{$thread->prefix}{/lang}</strong></span>
							<a href="index.php?page=Thread&amp;threadID={@$thread->threadID}{@SID_ARG_2ND}"{if BOARD_THREADS_ENABLE_MESSAGE_PREVIEW} title="{$thread->firstPostPreview}"{/if}>{$thread->topic}</a>
						</p>
					</div>
					<div class="statusDisplay">
						{if BOARD_THREADS_ENABLE_SMALL_PAGES}{smallpages pages=$thread->getPages($thread->board) link="index.php?page=Thread&threadID=$threadID&pageNo=%d"|concat:SID_ARG_2ND_NOT_ENCODED}{/if}
						<div class="statusDisplayIcons">
							{if $additionalSmallPages.$threadID|isset}{@$additionalSmallPages.$threadID}{/if}
							{if $thread->subscribed}<img src="{icon}subscribedS.png{/icon}" alt="" title="{lang}wbb.board.threads.subscribed{/lang}" />{/if}
							{if $thread->ownPosts}<img src="{icon}userS.png{/icon}" alt="" title="{lang}wbb.board.threads.ownPosts{/lang}" />{/if}
							{if $thread->polls}<img src="{icon}pollS.png{/icon}" alt="" title="{lang}wbb.board.threads.polls{/lang}" />{/if}
							{if MODULE_ATTACHMENT && $thread->attachments}<img src="{icon}attachmentS.png{/icon}" alt="" title="{lang}wbb.board.threads.attachments{/lang}" />{/if}
							{if BOARD_THREADS_ENABLE_LANGUAGE_FLAG && $thread->languageID}{@$thread->getLanguageIcon()}{/if}
						</div>
					</div>
					<p class="firstPost light">
						{lang}wbb.board.threads.postBy{/lang}
						{if $thread->userID}
							<a href="index.php?page=User&amp;userID={@$thread->userID}{@SID_ARG_2ND}">{$thread->username}</a>
						{else}
							{$thread->username}
						{/if}
						({@$thread->time|shorttime})
					</p>
				</td>
				
				<td class="columnLastPost" style="width: 25%">
					{if $thread->replies != 0}
						<div class="containerIconSmall">
							<a href="index.php?page=Thread&amp;threadID={@$thread->threadID}&amp;action=lastPost{@SID_ARG_2ND}"><img src="{icon}goToLastPostS.png{/icon}" alt="" title="{lang}wbb.index.gotoLastPost{/lang}" /></a>
						</div>
						<div class="containerContentSmall">
							<p>{lang}wbb.board.threads.postBy{/lang} {if $thread->lastPosterID}<a href="index.php?page=User&amp;userID={@$thread->lastPosterID}{@SID_ARG_2ND}">{$thread->lastPoster}</a>{else}{$thread->lastPoster}{/if}</p>
							<p class="smallFont light">({@$thread->lastPostTime|shorttime})</p>
						</div>
					{else}
						<p class="smallFont light">{lang}wbb.board.threads.noReply{/lang}</p>
					{/if}
				</td>
			</tr>
		{/foreach}
	</tbody>
</table>

<div class="simpleBar smallFont container-3" style="padding: 1px;">
	<ul style="margin: 0;">
		<li><a href="index.php?form=Search&amp;action=unread{@SID_ARG_2ND}">{lang}wbb.search.unreadPosts{/lang}</a></li>
		<li><a href="index.php?form=Search&amp;action=24h{@SID_ARG_2ND}">{lang}wbb.search.threadsOfTheLast24Hours{/lang}</a></li>
		{if $this->user->userID}<li><a href="index.php?form=Search&amp;action=newPostsSince&amp;since={@$this->user->boardLastVisitTime}{@SID_ARG_2ND}">{lang}wbb.search.newPostsSinceLastVisit{/lang}</a></li>{/if}
		{if $additionalBoardRecentActivityBoxLinks|isset}{@$additionalBoardRecentActivityBoxLinks}{/if}
	</ul>
</div>