<?php
// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

// wbb imports
require_once(WBB_DIR.'lib/data/page/recentActivityBox/RecentActivityBoxManager.class.php');
require_once(WBB_DIR.'lib/data/page/recentActivityBox/BoardRecentActivityBox.class.php');

/**
 * Shows the lastest threads in the recent activity box.
 * 
 * @author 	Marcel Werk
 * @copyright	2001-2011 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.recentActivityBox
 * @subpackage	system.event.listener
 * @category 	Burning Board
 */
class RecentActivityBoxBoardListener implements EventListener {
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		RecentActivityBoxManager::getInstance()->addBox(new BoardRecentActivityBox());
	}
}
?>